Problem when configuring WSS 2003 with SP2 to run on top of .Net Framework 1.1 and then upgrading to .Net Framework 2.0


A few users have reported this configuration issue when trying to install and configure BizTalk 2006 with Windows SharePoint Services adapter. BizTalk 2006 native adapter for Windows SharePoint Services requires .Net Framework 2.0 but most of the users don’t realize this until they try to configure the Windows SharePoint Services Adapter Web Service feature of BizTalk 2006. At that point, in many cases, Windows SharePoint Services has already been configured to run on top of .Net Framework 1.1 so the following error is visible in BizTalk configuration Web site is not configured to use .Net Framework 2.0


Changing the ASP.NET version on IIS site to be 2.0 instead of 1.1 causes Windows SharePoint Services 2003 to stop working completely.


This is not a BizTalk 2006 configuration issue, but BizTalk requirements combined with the succession of installation and configuration steps makes it pretty likely to run into this configuration issue of WSS 2003 with SP2. This is a known WSS 2003 with SP2 configuration issue and can be fixed easily by running STSADM tool with the force ugprade parameter.


In order to quickly upgrade your IIS site and WSS 2003 with SP2 from .Net Framework 1.1 to .Net Framework 2.0, run the commands below:


“%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\aspnet_regiis.exe” -i


“%CommonProgramFiles%\Microsoft Shared\web server extensions\60\BIN\STSADM.exe” -o upgrade -url http://localhost:80 -forceupgrade


 

Comments (6)

  1. Steve-O says:

    Hey! I didn’t think you had to do that, but thank you nonetheless!

  2. alcore says:

    Thanks a lot ! My problem has been fixed  with your two commands.

    Very useful blog !

  3. Steve says:

    I ran it once before on the exact same setup and it worked like a charm. This time I did it again and pulled: cannot upgrade virtual server<s> http://localhost :80

    Sup with that>? 😐

    Lemme see here, fp extn 2002 removed, check, asp.net 2.0xxx, yup. wss/sp 2.0 uhuh..sqL2k sp4, kk. WhudIdowrong?

    I can browse the default ssl sites (all 2 of them) but not anything else, ssl or otherwise.

    Get to extended succesfully, but when I go to template pick, nuthin shows up, no error, just no templt pick either, just "cannot find" blah blah…

  4. Garry Trinder says:

    Your comment doesn’t have enough info in order for me to help you there. I saw some mention to SSL. If your site is on HTTPS, then you might need to specify a different port than 80, most likely port 443. Also, you might have to supply the name as defined in your certificate instead of the localhost machine name. Is this a BizTalk problem or a SharePoint problem that prevents you from running BizTalk configuration?

    BizTalk questions you can ask here http://www.microsoft.com/technet/community/newsgroups/dgbrowser/en-us/default.mspx?dg=microsoft.public.biztalk.general

    If it’s a WSS problem, I would try to ask it on a WSS newsgroup and provide a detailed description of the issue.

  5. I run on x86-based PC. I have problem installing .Net Framework 2.0 completely. I already have .Net Framework 1.1 installed. I need it to complete installation of another software. What can I do please?